curl -X POST "https://api.scanova.io/campaign/user-log/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"g2_campaign": 4,
"last_shown": "2026-08-20T10:15:00Z"
}'
{
"id": 118,
"last_shown": "2026-08-20T10:15:00Z",
"last_dismissed": null,
"last_submitted": null,
"is_popup_disabled": false
}
活动
记录弹窗已展示、已关闭或已提交
POST /campaign/user-log/
POST
/
campaign
/
user-log
/
curl -X POST "https://api.scanova.io/campaign/user-log/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"g2_campaign": 4,
"last_shown": "2026-08-20T10:15:00Z"
}'
{
"id": 118,
"last_shown": "2026-08-20T10:15:00Z",
"last_dismissed": null,
"last_submitted": null,
"is_popup_disabled": false
}
在 Management API 主机(
api.scanova.io)上为某个 G2 评价活动创建已认证账户的日志记录,使用您的原始 Management API 密钥进行身份验证。
POST https://api.scanova.io/campaign/user-log/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
integer
必填
活动的
id,来自 GET /campaign/active/。string
弹窗展示给用户的时间,ISO 8601 时间戳。
string
用户未提交而关闭弹窗的时间,ISO 8601 时间戳。
string
用户点击以留下评价的时间,ISO 8601 时间戳。
curl -X POST "https://api.scanova.io/campaign/user-log/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"g2_campaign": 4,
"last_shown": "2026-08-20T10:15:00Z"
}'
{
"id": 118,
"last_shown": "2026-08-20T10:15:00Z",
"last_dismissed": null,
"last_submitted": null,
"is_popup_disabled": false
}
每个活动只有一条记录
每个(账户,活动)组合只存在一条日志记录。如果该账户针对传入的g2_campaign 已经存在一条记录,此调用会返回 400,并附带纯文本错误消息(而非通常的字段级校验错误结构)——请改用更新您的活动日志,而不是重试创建操作。
相关内容
- 获取当前有效的评价活动——找到要记录的
g2_campaignID。 - 获取您对当前活动的关闭状态——读回此调用所创建的内容。
- 更新您的活动日志——在后续互动中更新此记录。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
请求体
application/json
响应
Log row created.
此页面对您有帮助吗?